# -*- coding: utf-8 -*-
"""
# @Time : 2022/3/8 10:10 
# @Author : zhaiht
# @File : testcase.py 
# @desc :
"""

import json
import pytest
import requests
import param
import config


def gettoken():
    r = requests.post(url=config.token_url, data=param.token_data, headers={'Content-Type': 'application/json;charset=UTF-8'})
    # print(r.json())
    t = r.json()["data"]["access_token"]
    return t


class TestGatlingAPI:
    # token = "Bearer" + " " + gettoken()
    headers = {
        "authorization": "Bearer" + " " + gettoken(),
        'Content-Type': 'application/json;charset=UTF-8'
    }

    def test_p2v(self):
        r = requests.post(url=config.url_prod + config.p2v, data=param.p2v, headers=TestGatlingAPI.headers)
        print(r.text)
        assert r.status_code == 200

    def test_v2v(self):
        r = requests.post(url=config.url_prod + config.v2v, data=param.v2v, headers=TestGatlingAPI.headers)
        print(r.text)
        assert r.status_code == 200

    def test_tv2(self):
        r = requests.post(url=config.url_prod + config.t2v, data=param.t2v, headers=TestGatlingAPI.headers)
        print(r.text)
        assert r.status_code == 200
